Friends
All friend endpoints are human-only and require authentication.
List Friends
GET
/api/users/@me/friendsReturns all friends of the authenticated user.
Returns: Array of Friend objects.
Remove Friend
DELETE
/api/users/@me/friends/{userId}Remove a user from the authenticated user's friend list.
Returns: 204 No Content
Friend Requests
Send Friend Request
POST
/api/users/@me/friends/requestsSend a friend request to another user.
JSON Body
| Field | Type | Description |
|---|---|---|
user_id | string | ID of the user to send a friend request to |
Returns: FriendRequest object without the user_username, user_alias and user_avatar fields.
Get Pending Requests
GET
/api/users/@me/friends/requestsList friend requests received by the authenticated user that are pending.
Returns: Array of FriendRequest objects.
Get Sent Requests
GET
/api/users/@me/friends/requests/sentList friend requests sent by the authenticated user.
Returns: Array of FriendRequest objects.
Accept Friend Request
POST
/api/users/@me/friends/requests/{requestId}/acceptAccept an incoming friend request.
Returns: Friend object.
Reject Friend Request
DELETE
/api/users/@me/friends/requests/{requestId}Reject (delete) an incoming friend request.
Returns: 204 No Content